aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2019-02-05 21:35:03 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2019-02-05 21:35:03 +0100
commit432d597c23e5d60a5da351f906955672ff233819 (patch)
tree1f2cea0dc40a7f4b99c0eea3dca0a3b1a4087cc8 /dev-qt/qdoc/qdoc-5.12.1.ebuild
parentdev-qt/qtwebengine: fix build with USE="system-icu" (diff)
downloadqt-432d597c23e5d60a5da351f906955672ff233819.tar.gz
qt-432d597c23e5d60a5da351f906955672ff233819.tar.bz2
qt-432d597c23e5d60a5da351f906955672ff233819.zip
dev-qt: Add Qt 5.12.1
Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Diffstat (limited to 'dev-qt/qdoc/qdoc-5.12.1.ebuild')
-rw-r--r--dev-qt/qdoc/qdoc-5.12.1.ebuild37
1 files changed, 37 insertions, 0 deletions
diff --git a/dev-qt/qdoc/qdoc-5.12.1.ebuild b/dev-qt/qdoc/qdoc-5.12.1.ebuild
new file mode 100644
index 00000000..a7c87f07
--- /dev/null
+++ b/dev-qt/qdoc/qdoc-5.12.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+QT5_MODULE="qttools"
+inherit qt5-build
+
+DESCRIPTION="Qt documentation generator"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+ KEYWORDS="~amd64 ~arm ~ppc64 ~x86"
+fi
+
+IUSE="qml"
+
+DEPEND="
+ ~dev-qt/qtcore-${PV}
+ sys-devel/clang:=
+ qml? ( ~dev-qt/qtdeclarative-${PV} )
+"
+RDEPEND="${DEPEND}"
+
+QT5_TARGET_SUBDIRS=(
+ src/qdoc
+)
+
+src_prepare() {
+ qt_use_disable_mod qml qmldevtools-private \
+ src/qdoc/qdoc.pro
+
+ export LLVM_INSTALL_DIR="$(llvm-config --prefix)"
+ # this is normally loaded in qttools.pro, so skipped by using
+ # QT_TARGET_SUBDIRS causing build to fail
+ sed -e '1iload(qt_find_clang)\' -i src/qdoc/qdoc.pro || die
+
+ qt5-build_src_prepare
+}